#ifndef NFCUID_H
#define NFCUID_H

#include "inclstdint.h"

#define NFC_UID_MAX_SIZE 10

struct NFCUID
{
  uint8_t uid[NFC_UID_MAX_SIZE];
  uint8_t size;
}__attribute__((packed));

void PrintNFCUID(int level, const NFCUID* uid, const char* suffix = nullptr);
void ReverseNFCUID(const NFCUID* uid, uint8_t buf[NFC_UID_MAX_SIZE]);

#endif //NFCUID_H
