#include "statusvalues.h"

/*! Converts a \ref EStatus to a string literal.*/
const char* StatusToStr(EStatus status)
{
  if (status == Status_ExternalBatteryVoltageNoLoad)
    return "ExternalBatteryVoltageNoLoad";
  else if (status == Status_ExternalBatteryVoltageUnderLoad)
    return "ExternalBatteryVoltageUnderLoad";
  else if (status == Status_FillLevel)
    return "FillLevel";
  else if (status == Status_SoftwareVersion)
    return "SoftwareVersion";
  else if (status == Status_FillLevelSensor)
    return "FillLevelSensor";
  else if (status == Status_PWRVoltageNoLoad)
    return "PWRVoltageNoLoad";
  else if (status == Status_PWRVoltageUnderLoad)
    return "PWRVoltageUnderLoad";
  else if (status == Status_Emptied)
    return "Emptied";
  else if (status == Status_NrContactAttempts)
    return "NrContactAttempts";
  else if (status == Status_BatteryState)
    return "BatteryState";
  else if (status == Status_SoftReset)
    return "SoftReset";
  else if (status == Status_PowerOnNoTag)
    return "PowerOnNoTag";
  else if (status == Status_ModemRSSI)
    return "ModemRSSI";
  else if (status == Status_ExternalSIMICCID)
    return "ExternalSIMICCID";
  else if (status == Status_ContactReason)
    return "ContactReason";
  else if (status == Status_Opened)
    return "Opened";
  else if (status == Status_NotOpened)
    return "NotOpened";
  else if (status == Status_Refused)
    return "Refused";
  else if (status == Status_InCorrectAuthListEntry)
    return "InCorrectAuthListEntry";
  else if (status == Status_AuthListTooLarge)
    return "AuthListTooLarge";
  else if (status == Status_Debug)
    return "Debug";
  else if (status == Status_FunctionTag)
    return "FunctionTag";
  else if (status == Status_FillLevelUltraSonic2)
    return "FillLevelUltraSonic2";
  else if (status == Status_FillLevelUltraSonic3)
    return "FillLevelUltraSonic3";
  else if (status == Status_InternalBatteryVoltageNoLoad)
    return "InternalBatteryVoltageNoLoad";
  else if (status == Status_InternalBatteryVoltageUnderLoad)
    return "InternalBatteryVoltageUnderLoad";
  else if (status == Status_InternalSIMICCID)
    return "InternalSIMICCID";
  else if (status == Status_GrafixError)
    return "GrafixError";
  else if (status == Status_Temperature)
    return "Temperature";
  else if (status == Status_DepositOpeningStayedOpen)
    return "DepositOpeningStayedOpen";
  else if (status == Status_InternalBatteryChargeCurrent)
    return "InternalBatteryChargeCurrent";
  else if (status == Status_SolarVoltage)
    return "SolarVoltage";
  else if (status == Status_GPSLocation)
    return "GPSLocation";
  else if (status == Status_HardwareError)
    return "HardwareError";
  else if (status == Status_ConnectedCell)
    return "ConnectedCell";
  else if (status == Status_FactoryReset)
    return "FactoryReset";
  else if (status == Status_MadeActive)
    return "MadeActive";
  else if (status == Status_SelfTestPassed)
    return "SelfTestPassed";
  else if (status == Status_CableTestPassed)
    return "CableTestPassed";
  else if (status == Status_ModemType)
    return "ModemType";
  else if (status == Status_RegistrationSwitchError)
    return "RegistrationSwitchError";
  else if (status == Status_DepositRefused)
    return "DepositRefused";
  else if (status == Status_IpAlmere)
    return "IpAlmere";
  else if (status == Status_DoorStayedOpen)
    return "DoorStayedOpen";
  else if (status == Status_AccelerationDetect)
    return "AccelerationDetect";
  else if (status == Status_RotationDetect)
    return "RotationDetect";
  else if (status == Status_PCBVersion)
    return "PCBVersion";
  else if (status == Status_RestartAlmere)
    return "RestartAlmere";
  else if (status == Status_DepositOpeningOpened)
    return "DepositOpeningOpened";
  else if (status == Status_DepositOpeningBlocked)
    return "DepositOpeningBlocked";
  else if (status == Status_IsAlive)
    return "IsAlive";
  else if (status == Status_ApplicationErrorAlmere)
    return "ApplicationErrorAlmere";
  else
    return "UNKNOWN STATUS";
}
