//file to include stdint.h, __STDC_CONSTANT_MACROS and __STDC_LIMIT_MACROS
//need to be defined before it

#ifndef INCLSTDINT_H
  #define INCLSTDINT_H

  #ifdef __cplusplus
    #ifndef __STDC_CONSTANT_MACROS
      #define __STDC_CONSTANT_MACROS
    #endif

    #ifndef __STDC_LIMIT_MACROS
      #define __STDC_LIMIT_MACROS
    #endif

    #ifndef __STDC_FORMAT_MACROS
      #define __STDC_FORMAT_MACROS
    #endif

    #include <cstdint>
    #include <cinttypes>
  #else
    #include <stdint.h>
    #include <inttypes.h>
  #endif

#endif
