#ifndef INTERNALFLASHADDRS_H
#define INTERNALFLASHADDRS_H

/*! Place of the internal flash where the main firmware lives.*/
#define MAIN_FIRMWARE_START_SECTOR    5
#define MAIN_FIRMWARE_NUM_SECTORS     5

/*! Place of the internal flash where the update firmware lives.*/
#define UPDATER_FIRMWARE_START_SECTOR 10
#define UPDATER_FIRMWARE_NUM_SECTORS  2

/*! Sector where the flag is stored that signals that the main firmware has been erased.*/
#define MAIN_FIRMWARE_ERASED_SECTOR   1

#endif //INTERNALFLASHADDRS_H
