#ifndef TIMECONVERSION_H
#define TIMECONVERSION_H

#include "inclstdint.h"
#include <ctime>

int SecsToTm(int64_t t, struct tm *tm);
int64_t TmToSecs(const struct tm *tm);

bool FromISO8601(char* buf, struct tm* timeval);
void ToISO8601(struct tm* timeval, char* buf, uint32_t bufsize, const char* timezone = "Z");
void ToISO8601(int64_t t, char* buf, uint32_t bufsize, const char* timezone = "Z");

#endif //TIMECONVERSION_H
