#ifndef ERRORCODE_H
#define ERRORCODE_H

enum ErrorCode
{
  EC_None                        = 0,
  EC_UIDNotAuthorized            = 1,
  EC_BatteryVoltageTooLow        = 2,
  EC_OutsideTimeOpenTimeClose    = 3,
  EC_InsideBlockStartBlockStop   = 4,
  EC_FillLevelReached            = 5,
  EC_ContainerAlreadyOpened      = 6,
  EC_NotEnoughCredit             = 7,
  EC_WrongLockType               = 8,
  EC_ContainerNotOpened          = 9,
  EC_NFCReaderError              = 10,
  EC_CardFunctionNotImplemented  = 11,
  EC_CardNotAuthenticated        = 12,
  EC_CantProgramCard             = 13,
};

const char* ErrorCodeStr(ErrorCode errorcode);

#endif //ERRORCODE_H
