\page Locks
\brief All supported lock types.
\tableofcontents

# Lock types

## Servo. 

Lock actuated by an RC servo, sends pulses of length ServomotorTimeOpen to open the lock, sends pulses of ServomotorTimeClose to close the lock.\n
The pulses are sent every 20 milliseconds\n
The signal to the servo is sent by output BRIDGE2, while the servo is powered by output BRIDGE3.\n
This way, different H-bridges are used for power and signal. This prevents disturbing the servo signal if the servo draws too much current to trigger the overcurrent protection of the H-bridge.

## Servo Toggle. 

Not implemented yet.

## Solenoid toggle.

Not implemented yet.

## Solenoid bistable. 

Not implemented yet.

## Solenoid monostable. 

Not implemented yet.

## Horeca klep (special voor Engels). 

Not implemented yet.

## 60/40% choice. 

Not implemented yet.
